Operation.Prepend (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class Operation.Prepend

- java.lang.Object
- - org.apache.cassandra.cql3.Operation.Prepend

- All Implemented Interfaces:
    Operation.RawUpdate
  Enclosing class:
    Operation

      public static class Operation.Prepend
      extends java.lang.Object
      implements Operation.RawUpdate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operation.Prepend(Term.Raw value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCompatibleWith(Operation.RawUpdate other)`
    `Operation` | `prepare(java.lang.String keyspace, ColumnDefinition receiver)` This method validates the operation (i.e.
    `protected java.lang.String` | `toString(ColumnSpecification column)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Operation.Prepend

          public Operation.Prepend(Term.Raw value)

  - ### Method Detail

    - #### prepare

          public Operation prepare(java.lang.String keyspace,
                          ColumnDefinition receiver)
                            throws InvalidRequestException

      Description copied from interface: `Operation.RawUpdate`
      This method validates the operation (i.e. validate it is well typed) based on the specification of the receiver of the operation. It returns an Operation which can be though as post-preparation well-typed Operation.
      Specified by:
        `prepare` in interface `Operation.RawUpdate`
        `receiver` - the "column" this operation applies to. Note that contrarly to the method of same name in Term.Raw, the receiver should always be a true column.
      Returns:
        the prepared update operation.
      Throws:
        `InvalidRequestException`

    - #### toString

          protected java.lang.String toString(ColumnSpecification column)

    - #### isCompatibleWith

          public boolean isCompatibleWith(Operation.RawUpdate other)

      Specified by:
        `isCompatibleWith` in interface `Operation.RawUpdate`
      Returns:
        whether this operation can be applied alongside the `other` update (in the same UPDATE statement for the same column).

Copyright © 2014 The Apache Software Foundation